from django.db import models

# Create your models here.


class CompanyProfile(models.Model):
    title = models.CharField(
        max_length=255, verbose_name='Name')
    abbreviation = models.CharField(
        max_length=10, verbose_name="Abberiviation")
    slug = models.CharField(max_length=255, verbose_name="Slogan")
    phone_number = models.CharField(
        max_length=255, verbose_name="Contacts #")
    email = models.EmailField()
    address = models.CharField(
        max_length=255, verbose_name="English Address")
    farisi_title = models.CharField(
        max_length=255, verbose_name="اسم شرکت به فارسی")
    farisi_abbreviation = models.CharField(
        max_length=10, verbose_name="مخفف فارسی")
    farisi_slug = models.CharField(max_length=255, verbose_name="شعار فارسی")
    farisi_address = models.CharField(
        max_length=255, verbose_name="آدرس فارسی")
    logo = models.ImageField(upload_to='home/images',
                             blank=True, null=True, verbose_name="Logo")
    partner_logo = models.ImageField(upload_to='home/images',
                                     blank=True, null=True, verbose_name="Partner Logo")
    qrcode = models.ImageField(
        upload_to='home/images/qr', blank=True, null=True, verbose_name='QR Code')

    def __str__(self):
        return self.title


class CompanyRules(models.Model):
    company = models.ForeignKey(CompanyProfile, on_delete=models.CASCADE)
    rule = models.CharField(max_length=300)
